MyGUI::LayerNode Class Reference

`#include <MyGUI_LayerNode.h>`

Inheritance diagram for MyGUI::LayerNode:
[legend]

## Public Types

typedef RTTIBase | Base
typedef LayerNode | RTTIBase
Public Types inherited from MyGUI::ILayerNode
typedef RTTIBase | Base
typedef ILayerNode | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions

virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
| LayerNode (ILayer *_layer, ILayerNode *_parent=nullptr)
| ~LayerNode () override
ILayer * | getLayer () const override
ILayerNode * | getParent () const override
ILayerNode * | createChildItemNode () override
void | destroyChildItemNode (ILayerNode *_node) override
void | upChildItemNode (ILayerNode *_item) override
EnumeratorILayerNode | getEnumerator () const override
size_t | getLayerNodeCount () const override
ILayerNode * | getLayerNodeAt (size_t _index) const override
void | attachLayerItem (ILayerItem *_item) override
void | detachLayerItem (ILayerItem *_item) override
RenderItem * | addToRenderItem (ITexture *_texture, bool _firstQueue, bool _manualRender) override
void | outOfDate (RenderItem *_item) override
ILayerItem * | getLayerItemByPoint (int _left, int _top) const override
void | renderToTarget (IRenderTarget *_target, bool _update) override
void | resizeView (const IntSize &_viewSize) override
float | getNodeDepth () const override
bool | isOutOfDate () const
Public Member Functions inherited from MyGUI::ILayerNode
template<typename Type>
bool | isType () const
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions

static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ILayerNode
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Protected Member Functions

void | updateCompression ()
RenderItem * | addToRenderItemFirstQueue (ITexture *_texture, bool _manualRender)
RenderItem * | addToRenderItemSecondQueue (ITexture *_texture, bool _manualRender)

## Protected Attributes

VectorRenderItem | mFirstRenderItems
VectorRenderItem | mSecondRenderItems
size_t | mLastNotEmptyItem {0}
VectorLayerItem | mLayerItems
VectorILayerNode | mChildItems
ILayerNode * | mParent
ILayer * | mLayer
bool | mOutOfDate {false}
bool | mOutOfDateCompression {false}
float | mDepth {0.0f}

## Detailed Description

Definition at line 22 of file MyGUI_LayerNode.h.

## Member Typedef Documentation

## Base

typedef RTTIBase MyGUI::LayerNode::Base

Definition at line 24 of file MyGUI_LayerNode.h.

## RTTIBase

typedef LayerNode MyGUI::LayerNode::RTTIBase

Definition at line 24 of file MyGUI_LayerNode.h.

## Constructor & Destructor Documentation

## LayerNode()

MyGUI::LayerNode::LayerNode | ( | ILayer * | _layer,
|  | ILayerNode * | _parent = nullptr )

explicit

Definition at line 17 of file MyGUI_LayerNode.cpp.

## ~LayerNode()

MyGUI::LayerNode::~LayerNode | ( |  | ) |

override

Definition at line 23 of file MyGUI_LayerNode.cpp.

## Member Function Documentation

## addToRenderItem()

RenderItem * MyGUI::LayerNode::addToRenderItem | ( | ITexture * | _texture,
|  | bool | _firstQueue,
|  | bool | _manualRender )

override virtual

Implements MyGUI::ILayerNode.

Definition at line 134 of file MyGUI_LayerNode.cpp.

## addToRenderItemFirstQueue()

RenderItem * MyGUI::LayerNode::addToRenderItemFirstQueue | ( | ITexture * | _texture,
|  | bool | _manualRender )

protected

Definition at line 146 of file MyGUI_LayerNode.cpp.

## addToRenderItemSecondQueue()

RenderItem * MyGUI::LayerNode::addToRenderItemSecondQueue | ( | ITexture * | _texture,
|  | bool | _manualRender )

protected

Definition at line 192 of file MyGUI_LayerNode.cpp.

## attachLayerItem()

void MyGUI::LayerNode::attachLayerItem | ( | ILayerItem * | _item | ) |

override virtual

Implements MyGUI::ILayerNode.

Definition at line 219 of file MyGUI_LayerNode.cpp.

## createChildItemNode()

ILayerNode * MyGUI::LayerNode::createChildItemNode | ( |  | ) |

override virtual

Implements MyGUI::ILayerNode.

Definition at line 38 of file MyGUI_LayerNode.cpp.

## destroyChildItemNode()

void MyGUI::LayerNode::destroyChildItemNode | ( | ILayerNode * | _node | ) |

override virtual

Implements MyGUI::ILayerNode.

Definition at line 48 of file MyGUI_LayerNode.cpp.

## detachLayerItem()

void MyGUI::LayerNode::detachLayerItem | ( | ILayerItem * | _item | ) |

override virtual

Implements MyGUI::ILayerNode.

Definition at line 227 of file MyGUI_LayerNode.cpp.

## getClassTypeName()

std::string_view MyGUI::LayerNode::getClassTypeName | ( |  | ) |

inline static

Definition at line 24 of file MyGUI_LayerNode.h.

## getEnumerator()

EnumeratorILayerNode MyGUI::LayerNode::getEnumerator | ( |  | ) | const

override virtual

Implements MyGUI::ILayerNode.

Definition at line 250 of file MyGUI_LayerNode.cpp.

## getLayer()

ILayer * MyGUI::LayerNode::getLayer | ( |  | ) | const

override virtual

Implements MyGUI::ILayerNode.

Definition at line 307 of file MyGUI_LayerNode.cpp.

## getLayerItemByPoint()

ILayerItem * MyGUI::LayerNode::getLayerItemByPoint | ( | int | _left,
|  | int | _top ) const

override virtual

Implements MyGUI::ILayerNode.

Definition at line 114 of file MyGUI_LayerNode.cpp.

## getLayerNodeAt()

ILayerNode * MyGUI::LayerNode::getLayerNodeAt | ( | size_t | _index | ) | const

override virtual

Implements MyGUI::ILayerNode.

Definition at line 260 of file MyGUI_LayerNode.cpp.

## getLayerNodeCount()

size_t MyGUI::LayerNode::getLayerNodeCount | ( |  | ) | const

override virtual

Implements MyGUI::ILayerNode.

Definition at line 255 of file MyGUI_LayerNode.cpp.

## getNodeDepth()

float MyGUI::LayerNode::getNodeDepth | ( |  | ) | const

override virtual

Implements MyGUI::ILayerNode.

Definition at line 340 of file MyGUI_LayerNode.cpp.

## getParent()

ILayerNode * MyGUI::LayerNode::getParent | ( |  | ) | const

override virtual

Implements MyGUI::ILayerNode.

Definition at line 312 of file MyGUI_LayerNode.cpp.

## getTypeName()

virtual std::string_view MyGUI::LayerNode::getTypeName | ( |  | ) | const

inline override virtual

Get type name as string

Reimplemented from MyGUI::ILayerNode.

Reimplemented in MyGUI::SharedLayerNode.

Definition at line 24 of file MyGUI_LayerNode.h.

## isOutOfDate()

bool MyGUI::LayerNode::isOutOfDate | ( |  | ) | const

Definition at line 317 of file MyGUI_LayerNode.cpp.

## isType() [1/2]

template<typename Type>

bool MyGUI::LayerNode::isType | ( |  | ) | const

inline

Compare with selected type

Definition at line 24 of file MyGUI_LayerNode.h.

## isType() [2/2]

virtual bool MyGUI::LayerNode::isType | ( | const std::type_info & | _type | ) | const

inline override virtual

Compare with selected type

Reimplemented from MyGUI::ILayerNode.

Reimplemented in MyGUI::SharedLayerNode.

Definition at line 24 of file MyGUI_LayerNode.h.

## outOfDate()

void MyGUI::LayerNode::outOfDate | ( | RenderItem * | _item | ) |

override virtual

Implements MyGUI::ILayerNode.

Definition at line 243 of file MyGUI_LayerNode.cpp.

## renderToTarget()

void MyGUI::LayerNode::renderToTarget | ( | IRenderTarget * | _target,
|  | bool | _update )

override virtual

Implements MyGUI::ILayerNode.

Definition at line 82 of file MyGUI_LayerNode.cpp.

## resizeView()

void MyGUI::LayerNode::resizeView | ( | const IntSize & | _viewSize | ) |

override virtual

Implements MyGUI::ILayerNode.

Definition at line 106 of file MyGUI_LayerNode.cpp.

## upChildItemNode()

void MyGUI::LayerNode::upChildItemNode | ( | ILayerNode * | _item | ) |

override virtual

Implements MyGUI::ILayerNode.

Definition at line 65 of file MyGUI_LayerNode.cpp.

## updateCompression()

void MyGUI::LayerNode::updateCompression | ( |  | ) |

protected

Definition at line 267 of file MyGUI_LayerNode.cpp.

## Field Documentation

## mChildItems

VectorILayerNode MyGUI::LayerNode::mChildItems

protected

Definition at line 90 of file MyGUI_LayerNode.h.

## mDepth

float MyGUI::LayerNode::mDepth {0.0f}

protected

Definition at line 96 of file MyGUI_LayerNode.h.

## mFirstRenderItems

VectorRenderItem MyGUI::LayerNode::mFirstRenderItems

protected

Definition at line 81 of file MyGUI_LayerNode.h.

## mLastNotEmptyItem

size_t MyGUI::LayerNode::mLastNotEmptyItem {0}

protected

Definition at line 84 of file MyGUI_LayerNode.h.

## mLayer

ILayer* MyGUI::LayerNode::mLayer

protected

Definition at line 93 of file MyGUI_LayerNode.h.

## mLayerItems

VectorLayerItem MyGUI::LayerNode::mLayerItems

protected

Definition at line 88 of file MyGUI_LayerNode.h.

## mOutOfDate

bool MyGUI::LayerNode::mOutOfDate {false}

protected

Definition at line 94 of file MyGUI_LayerNode.h.

## mOutOfDateCompression

bool MyGUI::LayerNode::mOutOfDateCompression {false}

protected

Definition at line 95 of file MyGUI_LayerNode.h.

## mParent

ILayerNode* MyGUI::LayerNode::mParent

protected

Definition at line 92 of file MyGUI_LayerNode.h.

## mSecondRenderItems

VectorRenderItem MyGUI::LayerNode::mSecondRenderItems

protected

Definition at line 82 of file MyGUI_LayerNode.h.

The documentation for this class was generated from the following files:

- MyGUI_LayerNode.h
- MyGUI_LayerNode.cpp